#!/bin/bash

# We add all kernel modules, then use udev to load them dynamically
# we leave 30mb empty space at the end of each partition

mkdir -p $PWD/output

docker run --rm -it \
	--security-opt seccomp=unconfined \
	-v $PWD/output:/output -v $PWD/input:/input \
	-e "DEFAULT_KERNEL_MODULES=*" \
	-e "SIZE_ROOT_PART=3072M" \
	-e "SIZE_ROOT_FS=3042M" \
	-e "DEFAULT_TIMEZONE=Europe/Budapest" \
	builder ${@} # <- don't forgetti to build this

